#
# spec file for package audacious-plugins
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define __provides_exclude_from ^%{_libdir}/audacious/*/.*.so$
%define aud_ver_min 3.8
%define aud_ver_max 3.8.99
%if 0%{?suse_version} >= 1320 || (0%{?sle_version} >= 120100 && 0%{?is_opensuse})
%bcond_without qt
%else
%bcond_with qt
%endif
%bcond_with faad
%bcond_with lame
%bcond_with restricted
%bcond_without gtk
Name:           audacious-plugins
Version:        3.8.2
Release:        1.1
Summary:        Plugins for Audacious
License:        GPL-2.0+ and LGPL-2.1+ and GPL-3.0 and MIT and BSD-2-Clause
Group:          Productivity/Multimedia/Sound/Players
Url:            http://audacious-media-player.org/
Source:         http://distfiles.audacious-media-player.org/%{name}-%{version}-gtk3.tar.bz2
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  fdupes
BuildRequires:  gcc-c++ >= 4.5
BuildRequires:  lirc-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(alsa) >= 1.0.16
BuildRequires:  pkgconfig(audacious) >= %{aud_ver_min}
BuildRequires:  pkgconfig(dbus-1) >= 0.60
BuildRequires:  pkgconfig(dbus-glib-1) >= 0.60
BuildRequires:  pkgconfig(flac) >= 1.2.1
BuildRequires:  pkgconfig(fluidsynth) >= 1.0.6
BuildRequires:  pkgconfig(gdk-pixbuf-2.0) >= 2.26
BuildRequires:  pkgconfig(gio-2.0) >= 2.32
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glib-2.0) >= 2.32
BuildRequires:  pkgconfig(gmodule-2.0) >= 2.32
BuildRequires:  pkgconfig(jack) >= 1.9.7
BuildRequires:  pkgconfig(libavcodec) >= 53.40.0
BuildRequires:  pkgconfig(libavformat) >= 53.25.0
BuildRequires:  pkgconfig(libavutil) >= 51.27.0
BuildRequires:  pkgconfig(libbs2b) >= 3.0.0
BuildRequires:  pkgconfig(libcddb) >= 1.2.1
BuildRequires:  pkgconfig(libcdio) >= 0.70
BuildRequires:  pkgconfig(libcdio_cdda) >= 0.70
BuildRequires:  pkgconfig(libcue)
BuildRequires:  pkgconfig(libcurl) >= 7.9.7
BuildRequires:  pkgconfig(libmms) >= 0.3
BuildRequires:  pkgconfig(libmodplug)
BuildRequires:  pkgconfig(libnotify) >= 0.7
BuildRequires:  pkgconfig(libpulse) >= 0.9.5
BuildRequires:  pkgconfig(libsidplayfp) >= 1.0
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(neon) >= 0.27
BuildRequires:  pkgconfig(ogg) >= 1.0
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(sdl2) >= 2.0
BuildRequires:  pkgconfig(sndfile) >= 0.19
BuildRequires:  pkgconfig(soxr)
BuildRequires:  pkgconfig(vorbis) >= 1.0
BuildRequires:  pkgconfig(vorbisenc) >= 1.0
BuildRequires:  pkgconfig(vorbisfile) >= 1.0
BuildRequires:  pkgconfig(wavpack) >= 4.31
BuildRequires:  pkgconfig(zlib)
Requires:       libaudcore%{?_isa} <= %{aud_ver_max}
Requires:       libaudcore%{?_isa} >= %{aud_ver_min}
Recommends:     %{name}-extra
Recommends:     %{name}-lang
%if %{with gtk}
BuildRequires:  pkgconfig(gdk-x11-3.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.4
BuildRequires:  pkgconfig(xcomposite)
BuildRequires:  pkgconfig(xrender)
%endif
%if %{with qt}
BuildRequires:  pkgconfig(Qt5Core) >= 5.2
BuildRequires:  pkgconfig(Qt5Gui) >= 5.2
BuildRequires:  pkgconfig(Qt5Multimedia) >= 5.2
BuildRequires:  pkgconfig(Qt5OpenGL) >= 5.2
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.2
%endif
%if %{with faad}
BuildRequires:  libfaad-devel
%endif
%if %{with lame}
BuildRequires:  libmp3lame-devel
%endif
%if 0%{?suse_version} > 1320 || 0%{?sle_version} > 120200 || %{with restricted}
BuildRequires:  pkgconfig(libmpg123) >= 1.12
%endif

%description
Plugins for the Audacious audio player.

%lang_package

%package extra
Summary:        Extra plugins for Audacious
License:        GPL-2.0+ and MIT and BSD-2-Clause
Group:          Productivity/Multimedia/Sound/Players
Requires:       %{name} = %{version}

%description extra
Extra plugins for the Audacious audio player.

%prep
%setup -q -n %{name}-%{version}-gtk3

%build
NOCONFIGURE=1 ./autogen.sh
%configure \
%if %{with qt}
  --enable-qt       \
%else
  --disable-qt      \
%endif
%if %{with gtk}
  --enable-gtk      \
%else
  --disable-gtk     \
%endif
%if %{with faad}
  --enable-aac     \
%else
  --disable-aac    \
%endif
%if 0%{?suse_version} > 1320 || 0%{?sle_version} > 120200 || %{with restricted}
  --enable-mpg123
%else
  --disable-mpg123
%endif
make %{?_smp_mflags} V=1

%install
%make_install
%find_lang %{name}
%fdupes %{buildroot}%{_datadir}/

%files
%defattr(-,root,root)
%{_libdir}/audacious/
%if %{with faad}
%exclude %{_libdir}/audacious/Input/aac-raw.so
%endif
%if 0%{?suse_version} <= 1320 && 0%{?sle_version} < 120300 && %{with restricted}
%exclude %{_libdir}/audacious/Input/madplug.so
%endif
%exclude %{_libdir}/audacious/Output/filewriter.so
%{_datadir}/audacious/

%files lang -f %{name}.lang
%defattr(-,root,root)

%files extra
%defattr(-,root,root)
%if %{with faad}
%{_libdir}/audacious/Input/aac-raw.so
%endif
%if 0%{?suse_version} <= 1320 && 0%{?sle_version} < 120300 && %{with restricted}
%{_libdir}/audacious/Input/madplug.so
%endif
%{_libdir}/audacious/Output/filewriter.so

%changelog
* Thu May 11 2017 sor.alexei@meowr.ru
- Enable building with libmpg123 for newer openSUSE releases even
  outside of Packman.
* Thu Jan 26 2017 sor.alexei@meowr.ru
- Update to version 3.8.2:
  * No changelog available.
* Wed Dec  7 2016 sor.alexei@meowr.ru
- Update to version 3.8.1:
  * No changelog available.
* Fri Sep 23 2016 sor.alexei@meowr.ru
- Update to version 3.8:
  * No changelog available.
- Place /usr/lib64/audacious/Output/filewriter.so in
  audacious-plugins-extra because it can be built with MP3 support.
* Tue Mar 29 2016 sor.alexei@meowr.ru
- Update to 3.7.2.
* Tue Dec 29 2015 sor.alexei@meowr.ru
- Update to 3.7.1.
* Sun Nov  8 2015 sor.alexei@meowr.ru
- Update to 3.7.
- Enable Qt UI.
* Fri Aug 21 2015 sor.alexei@meowr.ru
- Work with Audacious package version instead of ABI version to
  simplify things a lot.
* Mon Jun  1 2015 sor.alexei@meowr.ru
- Update to 3.6.2.
- Enable XEmbed-tray icon plugin for openSUSE 13.2 and older.
* Sat Apr  4 2015 sor.alexei@meowr.ru
- Update to 3.6.1.
* Sun Mar  1 2015 sor.alexei@meowr.ru
- Update to 3.6.
* Sun Dec 28 2014 sor.alexei@meowr.ru
- Update to 3.5.2.
- Remove licenses files, complicates without actual need
  (user can find licenses in spec file).
- Simplify regular expression in aud_plugin_api.
* Thu Dec 26 2013 mrdocs@opensuse.org
- Try to fix build - missing soxr, so comment it out for now
* Tue Dec 17 2013 reddwarf@opensuse.org
- Update to 3.4.2
* Fri Mar 29 2013 fisiu@opensuse.org
- Update to 3.3.4:
  * GIO transport plugin is now enabled by default
  * LIRC plugin is back
  * FLAC plugin now supports higher quality files
  * Many bugfixes
- Spec cleanup, use pkgconfig, remove old ifelse statements.
- audacious-plugins-transport-smb subpackage is gone, GIO transport
  plugin can handle smb://
* Sun Aug 19 2012 seife+obs@b1-systems.com
- update to current version 3.2.4
  - disable cdaudio plugin on 12.2+, needs fix for new libcdio
- remove no longer needed -lgmodule linker hack
* Tue May 22 2012 seife+obs@b1-systems.com
- fix build on > 12.1 by adding -lgmodule-2.0 to LIBS
* Fri Dec  9 2011 detlef@links2linux.de
- new upstream version <3.1.1>
* Sun Nov 20 2011 pascal.bleser@opensuse.org
- update to 3.1
* Sun Nov  6 2011 detlef@links2linux.de
- new upstream version <3.0.3>
* Sun Aug 28 2011 detlef@links2linux.de
- new upstream version <3.0.2>
* Sat Aug 13 2011 detlef@links2linux.de
- new upstream version <3.0.1>
* Sat Jul  2 2011 detlef@links2linux.de
- new upstream version <2.5.3>
* Thu Jun 23 2011 detlef@links2linux.de
- new upstream version <2.5.2>
* Sat May 21 2011 detlef@links2linux.de
- new upstream version <2.5.1>
* Sun Apr 17 2011 detlef@links2linux.de
- new upstream version <2.5.0>
* Sun Feb 27 2011 detlef@links2linux.de
- add no libavcodec patch for new ffmpeg
* Wed Feb 23 2011 detlef@links2linux.de
- new upstream version <2.4.4>
* Fri Jan 14 2011 detlef@links2linux.de
- new upstream version <2.4.3>
* Fri Dec 31 2010 detlef@links2linux.de
- add alsa patch <2.4.2-2>
* Wed Dec  8 2010 detlef@links2linux.de
- new upstream version <2.4.2>
* Wed Sep  8 2010 detlef@links2linux.de
- rebuild with projectM 2.0.1  <2.4.0-5>
* Wed Aug 25 2010 detlef@links2linux.de
- new upstream version <2.4-rc3>
* Fri Apr  9 2010 detlef@links2linux.de
- new upstream version <2.3>
* Wed Mar 17 2010 detlef@links2linux.de
- enable projectM support
* Wed Dec  9 2009 detlef@links2linux.de
- new upstream version <2.2>
* Wed Jul  8 2009 Manfred.Tremmel@iiv.de
- new upstream version <2.1>
* Fri Jun  5 2009 Manfred.Tremmel@iiv.de
- new upstream version <2.0.1>
* Sun Jul 20 2008 detlef@links2linux.de
- resplit subpackages:
  audacious-plugins contains the core-plugins because package
  managers are stupid ;)
* Wed Jul  9 2008 guru@unixtech.be
- added explicit list of plugins
* Tue Jul  8 2008 guru@unixtech.be
- add AdLib support
* Mon Jul  7 2008 guru@unixtech.be
- build against libmtp-0.3.0
- many fixes/patches
- patches to build on openSUSE 10.2
* Mon May 26 2008 detlef@links2linux.de
- new upstream version <1.5.1>
* Sun Mar 30 2008 detlef@links2linux.de
- disable ss2 for ix86, some old cpus doesn't support sse2
* Sat Mar 15 2008 detlef@links2linux.de
- new upstream version <1.5.0>
* Fri Feb  1 2008 detlef@links2linux.de
- new upstream version <1.4.5>
* Wed Jan  2 2008 detlef@links2linux.de
- new upstream version <1.4.4>
* Mon Dec 31 2007 detlef@links2linux.de
- new upstream version <1.4.3.2>
* Sat Dec 29 2007 detlef@links2linux.de
- new upstream version <1.4.3>
* Sun Dec 23 2007 detlef@links2linux.de
- new upstream version <1.4.2>
* Fri Nov 23 2007 detlef@links2linux.de
- add support for neon and C64 SID
* Mon Nov 19 2007 detlef@links2linux.de
- new upstream release <1.4.1>
* Tue Nov  6 2007 detlef@links2linux.de
- new upstream release <1.4.0>
* Mon Nov  5 2007 detlef@links2linux.de
- switch to 1.4 on PackMan
- Audacious 1.4 is now complete, and is now recommended over 1.3
* Fri Nov  2 2007 detlef@links2linux.de
- new upstream release <1.4.0-rc1>
* Mon Oct 29 2007 detlef@links2linux.de
- new upstream release <1.4.0-beta4>
* Mon Oct 15 2007 detlef@links2linux.de
- new upstream release <1.4.0-beta3>
* Thu Sep 13 2007 detlef@links2linux.de
- new upstream release <1.4.0-dr4>
* Sun Sep  9 2007 detlef@links2linux.de
- new upstream release <1.4.0-dr3>
* Thu Aug  9 2007 detlef@links2linux.de
- new upstream release <1.4.0-dr2>
* Mon Jul 23 2007 detlef@links2linux.de
- initial build <1.4.0-dr1>
